import { AldousBroder } from './aldousbroder';
import { BinaryTree } from './binarytree';
import { Grid } from './grid';
import { Sidewinder } from './sidewinder';
import { Wilsons } from './wilsons';
export interface Algorithm {
    process(grid: Grid): Grid;
}
export declare enum AlgorithmType {
    AldousBroder = "AldousBroder",
    BinaryTree = "BinaryTree",
    Sidewinder = "Sidewinder",
    Wilsons = "Wilsons",
}
/**
 * Takes a string, generally from the command line, and determines
 * the requested algorithm.  It will default to BinaryTree if a
 * valid name is not given.
 * @param name {string} the name of the requested algorithm
 * @return {AlgorithmType} the proper enum for an algorithm used by Maze
 */
export declare function getAlgorithmType(name: string): AlgorithmType;
export { AldousBroder, BinaryTree, Sidewinder, Wilsons };
